AutoCAD .NET :: Position A Block In Paperspace?
Nov 23, 2011
I've worked on a command that automatically imports a dwg into paperspace and positions it. I've just realized that when imported vertically, the titleblock is on the wrong side of the layout. I've imported it to (10,10,0) and would like to import to those exact opposite co-ordinates to essentially flip it but i'm a bit unclear as to how. I know that I can use the commands Database.PextMax and Database.PextMin to determine the max and min points of the primary layout, but what co-ordinates are these, are they the top right corner and bottom right corner.
For what it's worth, here's my routine:
string dwgName = HostApplicationServices.Current.FindFile(comp, acadApp.DocumentManager.MdiActiveDocument.Database, FindFileHint.Default);
Database db1 = new Database(false, false);
db1.ReadDwgFile(dwgName, System.IO.FileShare.Read, true, "");
ObjectId BlkId;
BlkId = doc.Database.Insert(dwgName, db1, false);
BlockTable bt = (BlockTable)tr.GetObject(doc.Database.BlockTableId, OpenMode.ForRead, true);
[code]....
View 9 Replies
ADVERTISEMENT
May 15, 2013
Is there an easy way to ensure that the position of attributes on a block match the position on another block?
I just used the ATTIN command to upload a bunch of data to the block attributes on a drawing, and now the information is all over the place.
Instead of going through each one manually and repositioning the attributes (a VERY lengthy process), I want to use a "correct" version as a template of sorts to inform the other selected blocks of where to place the attributes and have it reposition the whole thing automatically.
Is this even possible?
View 6 Replies
View Related
Jul 12, 2013
Is it possible to setup a block so that an attribute position remaines fixed (absolute to drawing) when moving the block?
I've been playing around with creating a Coordinate Block by following these instructions: [URL] ........
What I would like is to be able to set the position of the Coordinate Label and Coordinate Object independently, so that if I move one in the drawing, it doesn't move the other. I've looked into Dynamic Blocks, and the "Lock Position" parameter. I can move the attribute independently, but still everytime I move the block, the attribute moves too.
Our company uses a custom Sheet/Coordinate system to follow flyoffs across a drawing, and I'm trying to learn how to automate the process. It's completely manually right now, so any changes to a drawing creates a lot of work renumbering these flyoffs.
View 4 Replies
View Related
Apr 6, 2013
I am trying to insert a dynamic block and position and stretch the block, using the linear parameters, depending on values entered into a form.
I managed to create a form that would draw a series of boxes. And i managed to create a routine that would insert a block and size it depending on fixed values but i can't link the 2 together.
Win 7 Pro 64bit, Dell Precision M6500
View 8 Replies
View Related
Apr 4, 2013
our office is having an issue with certain drawings when we create a plot file to be printed by an outside printing company. Other drawings which are set up to plot in the exact same way do not seem to have this problem.
The issue is that everything within the viewport plots as shown in the print preview, however; some of the paperspace elements on our title block do not print. OLE objects, additional viewports for legends, and brackets that are in paperspace are not printing.
View 2 Replies
View Related
Feb 25, 2013
I have several title blocks each in their own paperspace pages. Could have the attribute filled in, but more than likely only one page will have values filled in the attributes. I am looking for a VL method for finding which pages title block is filled in so that I can get those values and fill in the equivalent attributes for all of the other pages. Currently I am using a long set of :
(IF (setvar "ctab" "8.5x11") (IF(TBLSEARCH "BLOCK" "TB-8.5x11") (IF (/= "" (get-att "OWNER" "TB-8.5x11")) ; Function to read a named attribute(editblk "TB-8.5x11") ; Function to pull up the attdia(IF (setvar "ctab" "11x17") (IF (TBLSEARCH "BLOCK" "TB-11x17") (IF(/= "" (get-att "CUSTNMFIRST" "TB-11x17")) (progn ; At the last page ditch the [Code]..........
The example is just a very simplified version of what I'm doing. I just need to find the information, if it exists in any page and store it for later. Afterward, I'll fill in each page's Title Block with the stored information.
I know that this can be done much more efficiently. As I am currently flipping through the pages too much action is occurring on the screen and it makes some people nervous. With VL I should be able to run the search quietly, but I would still like to (setvar "ctab" "to the page with the filled attribute value") after the LISP is finished storing values.
View 7 Replies
View Related
Mar 19, 2012
I have just finished my design and I wanted to insert a title block and annotations with pictures using the paperspace option. I want to print the design out onto A1 Paper (80000mm x 56000mm) to a 1:100 scale.
What I want to know is what is the dashed line, how do I make the paperspace A1 size and a 1:100 scale, as well as wanting to know how to make the title block and add annotations to the design.
One problem I am facing is that any line I do create comes out bold as well as when I zoom into the drawing itself every line is bold. Why is this?
View 3 Replies
View Related
Jul 1, 2013
How can I retrieve a block from DWG file using Objectarx SDK.Lets say I have a cinema hall design with a lot of chairs and I am using a blcok named chair to design it. Now I want to retrive this blocks and their positions. Is it possible?
View 5 Replies
View Related
Dec 18, 2012
I am trying to change the position of an AttributeDefinition in a block, but it nothing is changed:
foreach (ObjectId oidAttribute in btrBlock){ adOrg = taTransaction.GetObject(oidAttribute, OpenMode.ForRead) as AttributeDefinition; if (adOrg != null) { adOrg.UpgradeOpen(); adOrg.Position = new Point3d(0, 0, 0); // Break; break; } adOrg = null;}
...
Commit();
How do I change the position?
View 4 Replies
View Related
Jun 19, 2012
I have created a custom title block and border for one of the automotive manufacturers since I need to submit all their drawings in the standard border and title block format. The border is quite broad, so when I insert the new title block, it overlaps the border slightly. I need to try and find the setting to control the exact point at which the title block is positioned when inserted into a drawing.
Windows 7 Pro (X64)
Intel(R) core (TM) i7-2600 CPU @ 3.40GHz
16.0 GB RAM
Nvidia Quadro 600
Autodesk Inventor 2013 Professional Ultimate Design Suite
View 4 Replies
View Related
Feb 7, 2013
BlockTableRecord.Position gets the position of the block in its owner. So if it is a nested block, it gets the position inside the parent block.
I want to get the position of a nested block in the space (model or paper). One way of doing this is getting the location of that parent, and if the parent is also nested, get that position and so on...and then calculate the position of the nested block.
View 3 Replies
View Related
Aug 21, 2012
I am currently updating a title block and it will be wider than the original. This is going to cause me to move the block.
How do I get it constrained back into the lower right hand corner? I wouldnt think this would be this difficult of a thing to accomplish.
View 1 Replies
View Related
Mar 14, 2013
i'm looking to select a block reference, take it's wcs position, translate the coordinates to the current ucs and then create an xline using those translated coordinates. simple, right?
i simplified some code to test that i could properly build an xline in a current ucs. i just threw in static point3d values instead of grabbing them from another object. it worked as expected:
<CommandMethod("test")> _ Public Sub test() 'get the active document, editor and database Dim acDoc As Document = Application.DocumentManager.MdiActiveDocument Dim acDocEd As Editor = acDoc.Editor Dim acCurDb As Database = acDoc.Database 'start a transaction Using acTrans As Transaction = acCurDb.TransactionManager.StartTransaction() 'open the table for read Dim acBlkTbl As BlockTable acBlkTbl = acTrans.GetObject(acCurDb.BlockTableId, OpenMode.ForRead) 'open the record for write Dim acBlkTblRec As BlockTableRecord acBlkTblRec =
[code]...
here, i revised the code so that a block reference's objectid is passed from another procedure, the origin is determined, translated to the current ucs and the points are tailored for the xline's basepoint and secondpoint. i threw in a few writemessages to ensure that the coordinates were indeed what i was looking for and they match up, but for some reason, the xline now fails to create itself.
'define the current ucs Dim ucsDesign As Matrix3d = acDocEd.CurrentUserCoordinateSystem 'start a transaction Using acTrans As Transaction = acCurDb.TransactionManager.StartTransaction() 'open the connector block for read Dim acBlock As BlockReference = acTrans.GetObject(idConnector, OpenMode.ForRead) 'save connector origin Dim ptOrigin As Point3d = acBlock.Position 'translate the point to the current ucs Dim ptUcsOrigin As Point3d = ptOrigin.TransformBy(ucsDesign.Inverse) 'show me the block position acDocEd.WriteMessage(vbLf & ptOrigin.ToString()) acDocEd.WriteMessage(vbLf & ptUcsOrigin.ToString()) 'open the table for read Dim acBlkTbl As BlockTable acBlkTbl = acTrans.GetObject(acCurDb.BlockTableId, OpenMode.ForRead) 'open
[code]...
i've rearranged this code multiple times, tried a couple different approaches, scoured the forums and even resorted to the less-than-elegant:
'create the xline Dim cmdString As String = "._xline " & ptUcsOrigin.X & "," & ptUcsOrigin.Y & "," & ptUcsOrigin.Z & " " & ptUcsOrigin.X & "," & ptUcsOrigin.Y + 1.0 & "," & ptUcsOrigin.Z & " " acDoc.SendStringToExecute(cmdString, True, False, False)
but i need to use the xline object after i've created it, so this sendstringtoexecute crap won't work.
View 7 Replies
View Related
May 17, 2013
I am trying to align all of the text inside of a block and have it actually align the text instead of having it keep it original position (like when you use "Justifytext" command). For example: We use blocks for fire alarm devices that we insert into drawings. When the devices are inserted they look like this (Middle left):
15CD
TBD
TBD
1/4W
I can double click each line of these texts, have the eattedit window pop up, go to "text options" tab, click the drop down menu for "Justification:" and then choose my justification(middle right); then the text will actually move to align itself with my justification, causing my text to end up like this:
15CD
..TBD (Roughly like this, only perfectly straight vertically on the right hand side)
..TBD (ignore the dots, i had to insert them for the spacing to be correct for
1/4W this example)
When I type "Justifytext", select my block, choose my justification (Middle right), just the snap point moves to that justification without the text actually moving at all, causing my text to end up like this:
15CD
TBD
TBD
1/4W
View 9 Replies
View Related
May 31, 2013
I need to gather objects on a specivied layername within model_space in C#.
How do I add a fileter to my filtervalues to only grab model_space objects.
TypedValue
[] filterValues = new[] { newTypedValue((int)DxfCode.LayerName, LayerName.ToUpper()) };
[Code]....
View 9 Replies
View Related
Jul 10, 2012
I made a simple block for a utility pole in plan view. It consisted of a donut with one string of mtext beside it. I had created it so that the text would orientate itself to be horizontal in each viewport regardless of the ucs angle. I later added a line for a guy wire and made the block dynamic with visibility states. Now I am unable to have the text orientate to a horizontal position in the viewports.
View 8 Replies
View Related
Jun 4, 2013
I am having problems Xref ing a drawing of my new title block to paperspace. The plan is to try and have it as the default title block whenever I select to layout a drawing
View 5 Replies
View Related
Feb 24, 2011
I want to put some blocks in a key (on a TitleBlock, in PaperSpace). I have imported my garden as an Xref - does the access to those blocks not come too? And if not, how do I import them - or do I have to open the Xref and copy each over individually?
View 3 Replies
View Related
Nov 23, 2011
For those who are using paperspace and want to dimension your modelspace 3D part.
1. Create a new dimstyle called 3D Standards (copy from your already standard dimstyle), the only thing you are going to change is the text alignment, change it to align with dimension lines.
2. In modelspace use your 3 point UCS and select 3 points on part how dim. will lay. So, if you need to dim. top, then pick 3 points on top, ect...
3. Change the dimscale to reflect the same scale as the viewport.
4. When finished dimensioning your part, select (Changespace) and select all dimensions (if you want all your dimensions to be in paperspace.
View 5 Replies
View Related
Feb 27, 2012
A file created over a year ago (I believe with AutoCAD 2010) is needing to be updated. I have AutoCAD 2012 and when I open it there is no text in my Paper Space. However, if my manager is to open the same exact file with his AutoCAD 2012 he can clearly see all of the text is still in place. Is there a setting somewhere that I have missed that may be making the text not show up? All layers are on and visible.
View 5 Replies
View Related
Jan 28, 2011
I've got an Educational Version of AutoCAD Map 3D 2010...
I'm trying to plot a drawing and my icons have disappeared.
Did I press something inadvertantly, where have they gone?
I'm writing an essay with pics and so luckily I have a scren-grab to show you...
And what happened next...
View 5 Replies
View Related
Apr 17, 2012
I am not having any luck getting intersectwith working in paperspace? I'm not trying to intersect with objects in model space, just all objects in paperspace.
View 2 Replies
View Related
Mar 30, 2012
when it comes to viewports in paperspace in 2013, due to the nature of my work i have several layout drawings all drawn on top of each other and all with ther own txt and dims etc, which again is all on top of each other making it impossible to work in model space, for this reason i work in paperspace within a viewport but now i have upgraded to 2013 while i am in mid command e.g. dimension and zoom into first point then zoom back out and in again to second point, by this time i have been kicked out of the viewport and just in paperspace so cant complete the command, doesnt always happen?
View 9 Replies
View Related
Jun 6, 2013
Whilst dimensioning in paperspace I dont seem to be able to get the dimesions to sit above the drawing in model space. for example if I place a leader across the drawing to a specific point the leader sits under the drawing and is lost/hidden. how I set the dimensions to sit above the drawing.
View 1 Replies
View Related
Jun 25, 2013
When I make a layout with a part of my drawing in a viewport, I switch over to paperspace to draw dimension lines in it. Although the layout is displayed in another scale (e.g. 1:100) it puts the right dimensions at the drawing.
But now a problem appears:
With one of my drawings the layout does not put the right dimensions at the drawing in paperspace. I really don't know what went wrong. Strange dimensions appear, as if there must be a strange scale factor somewhere. (Dimlfac=1)
View 2 Replies
View Related
Jul 4, 2012
I am having difficulties with the scale of my drawing. In my model space, the units are set to decimal - millimeters. And then, when I set up a viewport in paper space even 1/128"=1'-0" is too small. I'm using a size 24"x36" paper. Everything is set to 1:1 and I drew 1:1 in model space. Previously, another person drew this drawing and it fit on an 8x11 sheet of paper at 1:10, but mine doesn't fit on 24x36.What did I do wrong?
View 9 Replies
View Related
Oct 9, 2012
When working in paperspace trying to setup for a plot Autodesk decides to "freeze" my screen locking some of the drawing on the screen only removable by reopening the drawing.
View 1 Replies
View Related
Jan 30, 2012
Trying to change the ltweight settings in paperspace but nothing is working!
View 9 Replies
View Related
Mar 22, 2011
When using dimensions in paperspace i get the paperspace distances. Not those of the object i've drawn in model space.
f.e.: if i draw a line of 100 mm in model, and my zoom e on it in a viewport of 420, I'll get the distance 420. Like the dimension is not interacting with the model, see? Thought it would have something to do with the snapping, but can't find the link.
View 9 Replies
View Related
May 30, 2013
Viewport. I have scaled the viewport to 1/16 in paperspace, but the drawing is to large and does not fit in the viewport I need to zoom in to make it fit.
View 4 Replies
View Related
Oct 2, 2011
When I plot from AutoCad to PDF I usually have around 8 A3 drawings in other words 8 A3 paperspace drawings. When I plot these I do each one separately, the process to print the whole lot to PDF in one hit.
View 3 Replies
View Related